from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper

def setRoleuserUsercodeType(currentType, meta):
    roleuser1 = Table('roleuser1', meta, autoload=True)
    roleuser2 = Table('roleuser2', meta, autoload=True)
    roleuser1.c.usercode.alter(type=currentType)    
    roleuser2.c.usercode.alter(type=currentType)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.                
    setRoleuserUsercodeType(String(30), meta)
    views_helper.update_dic_view(migrate_engine, 'roleuser')
    

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    setRoleuserUsercodeType(Integer(), meta)
    views_helper.update_dic_view(migrate_engine, 'roleuser')
