from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    basename = "alcoholcatalog"
    for suffix in ['1','2']:
        table = Table(basename + suffix, meta)
        if table.exists():
            table.rename("catalogattribute" + suffix)

    views_helper.drop_if_exist(migrate_engine, basename)
    views_helper.create_or_replace(migrate_engine, "catalogattribute", "catalogattribute1")

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    basename = "catalogattribute"
    for suffix in ['1','2']:
        table = Table(basename + suffix, meta)
        if table.exists():
            table.rename("alcoholcatalog" + suffix)

    views_helper.drop_if_exist(migrate_engine, basename)
    views_helper.create_or_replace(migrate_engine, "alcoholcatalog", "alcoholcatalog1")
