from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getMedicineTable(meta):
    return Table('medicine', meta,
        Column('code', Integer, primary_key=True, autoincrement=False),
        Column('party', String(255), nullable=True),
        Column('barcode', String(255), nullable=False),
        Column('series', String(255), nullable=True),
        Column('shelflife', Date, nullable=True),
        Column('producer', String(255), nullable=True),        
        Column('price', Numeric(precision=13, scale=2), nullable=False),
        Column('inn', Text, nullable=True),
        Column('remainquant', Integer, nullable=True),
        Column('remaindatetime', DateTime, nullable=True),
        Column('countrycode', Integer, nullable=True),
        Column('options', Integer, nullable=True)
    )

def upgrade(migrate_engine):
    metaDrop = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getMedicineTable(metaDrop))
    metaCreate = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getMedicineTable(metaCreate))

def downgrade(migrate_engine):
    pass
