from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

columnName = 'id'
indexName = 'catalogrestrictidx'
tblName = 'catalogrestrict'

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    conn = migrate_engine.connect()
    for tbl in views_helper.getTables(meta, tblName):
        if indexName not in [ind.name for ind in tbl.indexes]:
            Index(indexName, tbl.c.catalogid, tbl.c.deptcode, tbl.c.restrictid, unique=True).create()
        if not columnName in tbl.columns:
            conn.execute("ALTER TABLE dictionaries.%s "
                     "ADD id INT PRIMARY KEY AUTO_INCREMENT" % tbl)
    views_helper.update_dic_view(migrate_engine, tblName)

def downgrade(migrate_engine):
    views_helper.drop_index(migrate_engine, tblName, indexName)
    views_helper.drop_column(migrate_engine, tblName, columnName, Integer)
    

