from sqlalchemy import MetaData, Table, Integer
from sqlalchemy.dialects.mysql import MEDIUMTEXT
from migrate import *


def getTables(meta):
    valut1 = Table('valut1', meta, autoload=True)
    valut2 = Table('valut2', meta, autoload=True)
    return [valut1, valut2]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for table in getTables(meta):
        if 'code' in table.c:
            table.c.code.alter(autoincrement=False)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for table in getTables(meta):
        if 'code' in table.c:
            table.c.code.alter(type=Integer, autoincrement=True, nullable=False, primary_key=True)
