# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getBonusitemTable(meta):
    document = Table('document', meta, autoload=True)
    goodsitem = Table('goodsitem', meta, autoload=True)
    bonusitem = Table('bonusitem', meta,
        Column('bonusitemid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('documentid', Integer, ForeignKey('document.documentid', name='bonusitemdocumentidfk'), nullable=False),
        Column('goodsitemid', Integer, ForeignKey('goodsitem.goodsitemid', name='bonusitemgoodsitemidfk'), nullable=True),
        Column('posnum', Integer, nullable=False),
        Column('opcode', Integer, nullable=False),
        Column('cardnumber', String(100), nullable=True),
        Column('amount', Numeric(precision=13, scale=2), nullable=False),
        Column('btime', DateTime, nullable=False),
        Column('valcode', Integer, nullable=True),
        mysql_engine='InnoDB'
    )
    return bonusitem




def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    getBonusitemTable(meta).create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getBonusitemTable(meta).drop()
