# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getDocumentTable(meta):
    return Table('document', meta, autoload=True)

def getCarditemTable(meta):
    return Table('carditem', meta, autoload=True)

def getClientTable(meta):
    return Table('client', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    clientitemid = Column('clientitemid', Integer, nullable=True)
    clientitemid.create(getDocumentTable(meta))
    cons = migrate.changeset.constraint.ForeignKeyConstraint([getDocumentTable(meta).c.clientitemid], [getClientTable(meta).c.clientitemid], name = 'clientitemiddocfk')
    cons.create()
    
    clientitemid1 = Column('clientitemid', Integer, nullable=True)
    clientitemid1.create(getCarditemTable(meta))
    cons1 = migrate.changeset.constraint.ForeignKeyConstraint([getCarditemTable(meta).c.clientitemid], [getClientTable(meta).c.clientitemid], name = 'clientitemidcardfk')
    cons1.create()


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    cons = migrate.changeset.constraint.ForeignKeyConstraint([getDocumentTable(meta).c.clientitemid], [getClientTable(meta).c.clientitemid], name = 'clientitemiddocfk')
    cons.drop()
    getDocumentTable(meta).c.clientitemid.drop()
    
    cons1 = migrate.changeset.constraint.ForeignKeyConstraint([getCarditemTable(meta).c.clientitemid], [getClientTable(meta).c.clientitemid], name = 'clientitemidcardfk')
    cons1.drop()
    getCarditemTable(meta).c.clientitemid.drop()

