from sqlalchemy import *
from migrate import *
import migrate.changeset


def getTables(meta):
    goodsitem = Table('goodsitem', meta, autoload=True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload=True)
    return [goodsitem, stornogoodsitem]


def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    meta = MetaData(bind=migrate_engine)
    for tbl in getTables(meta):
        col = Column('extdocid', String(100), nullable=True)
        if not col.name in tbl.columns:
            col.create(tbl)


def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind=migrate_engine)
    for tbl in getTables(meta):
        if ("extdocid" in tbl.columns):
            tbl.c.extdocid.drop()
