from sqlalchemy import *
from migrate import *
from documents.versions import dump


def getTables(meta):
    return Table('goodsitem', meta, autoload=True), Table('stornogoodsitem', meta, autoload=True)


def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind migrate_engine
    # to your metadata
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    for tbl in getTables(meta):
        if not 'excisemark' in tbl.columns:
            Column('excisemark', String(100), nullable=True).create(tbl)


def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind=migrate_engine)
    for tbl in getTables(meta):
        if 'excisemark' in tbl.columns:
            Column('excisemark', String(100), nullable=True).drop(tbl)