from sqlalchemy import *
from migrate import *
from documents.versions import dump

def getTable(meta):
    return Table('document', meta, autoload=True)

def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind migrate_engine
    # to your metadata
    meta = MetaData(bind = migrate_engine)
    dump.store(migrate_engine)
    document = getTable(meta)
    frdocnum=Column('frdocnum', String(30), nullable=True)
    frdoccopy=Column('frdoccopy', Text, nullable=True)
    
    if 'frdocnum' not in document.columns:
        frdocnum.create(document)
    if 'frdoccopy' not in document.columns:
        frdoccopy.create(document)

def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind = migrate_engine)
    
    document = getTable(meta)
    if 'frdocnum' in document.columns:
        document.c.frdocnum.drop()
    if 'frdoccopy' in document.columns:
        document.c.frdoccopy.drop()
