from sqlalchemy import *
from migrate import *
import migrate.changeset

indexName = 'alcosetitemexcisemarkidx'

def getGoodsItem(meta):
    return Table('goodsitem', meta, autoload=True)

def getAlcoSetItem(meta):
    alcosetitem=Table('alcosetitem', meta,
        Column('alcosetitemid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('goodsitemid', Integer, ForeignKey(getGoodsItem(meta).c.goodsitemid, name='alcosetitemgoodsitemidfk', ondelete='CASCADE'), nullable=False),
        Column('barcode', String(30), nullable=False),
        Column('code', String(30), nullable=False),
        Column('price', Numeric(precision=13, scale=2), nullable=False),
        Column('excisemark', String(100), nullable=False),
        Column('additionalexcisemark', String(50), nullable=True),
        Column('alcocode', String(20), nullable=True),
        Column('taracapacity', Numeric(precision=13, scale=3), nullable=True),
        mysql_engine='InnoDB',
    )
    return alcosetitem

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    alcosetitem = getAlcoSetItem(meta)
    if not alcosetitem.exists(meta.bind):
        alcosetitem.create()
        if indexName not in [ind.name for ind in alcosetitem.indexes]:
            Index(indexName, alcosetitem.c.excisemark).create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    alcosetitem = getAlcoSetItem(meta)
    
    if alcosetitem.exists(meta.bind):
        if indexName in [ind.name for ind in alcosetitem.indexes]:
            Index(indexName, alcosetitem.c.excisemark).drop()
        alcosetitem.drop()