from sqlalchemy import *
from migrate import *


def getDocument(meta):
    return Table('document', meta, autoload=True)


def getGoodsItem(meta):
    return Table('goodsitem', meta, autoload=True)


def getStornoGoodsItem(meta):
    return Table('stornogoodsitem', meta, autoload=True)


def getMedicineTable(meta):
    return Table('medicine', meta,
        Column('medicineid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('documentid', Integer, ForeignKey(getDocument(meta).c.documentid, name='medicinedocumentidfk',
                ondelete='CASCADE'), nullable=False),
        Column('goodsitemid', Integer, ForeignKey(getGoodsItem(meta).c.goodsitemid, name='medicinegoodsitemidfk',
                ondelete='CASCADE'), nullable=True),
        Column('stornogoodsitemid', Integer, ForeignKey(getStornoGoodsItem(meta).c.stornogoodsitemid,
                name='medicinestornogoodsitemidfk', ondelete='CASCADE'), nullable=True),
        Column('code', Integer, nullable=False),
        Column('party', String(255), nullable=True),
        Column('series', String(255), nullable=True),
        Column('shelflife', Date, nullable=True),
        Column('producer', String(255), nullable=True),
        Column('inn', Text, nullable=True),
        Column('country', String(255), nullable=True),
        Column('options', Integer, nullable=True),
        mysql_engine='InnoDB'
    )


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getMedicineTable(meta)
    if not table.exists(meta.bind):
        table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getMedicineTable(meta)
    if table.exists(meta.bind):
        table.drop()
