from sqlalchemy import *
from migrate import *


def getDocument(meta):
    return Table('document', meta, autoload=True)


def getWorkshift(meta):
    return Table('workshift', meta, autoload=True)


def getTable(meta):
    return Table('storage', meta,
        Column('id', Integer, nullable=False, autoincrement=True, primary_key=True),
        Column('documentid', Integer, ForeignKey(getDocument(meta).c.documentid, name='storagedocumentidfk',
                ondelete='CASCADE'), nullable=True),
        Column('workshiftid', Integer, ForeignKey(getWorkshift(meta).c.workshiftid, name='storageworkshiftidfk',
                ondelete='CASCADE'), nullable=False),
        Column('key', String(255), nullable=False),
        Column('value', Text, nullable=False),
    )


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if not table.exists(meta.bind):
        table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if table.exists(meta.bind):
        table.drop()
