from sqlalchemy import Column, Table, MetaData, Integer, String, TIMESTAMP, TEXT, text

def getTable(meta):

    return Table('message', meta,
        Column('messageid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('type', String(30), nullable=False),
        Column('body', TEXT, nullable=False),
        Column('creationtime', TIMESTAMP, nullable = False, server_default=text("CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP")),
        mysql_engine='InnoDB'
    )

def upgrade(migrate_engine):

    meta = MetaData(bind = migrate_engine)

    table = getTable(meta)
    if not table.exists():
        table.create()

def downgrade(migrate_engine):

    meta = MetaData(bind = migrate_engine)

    table = getTable(meta)
    if table.exists():
        table.drop()
